package io.gitlab.jfronny.commons.serialize.gson.api;

import java.lang.annotation.*;

/**
 * Mark a class/field to be ignored by Gson.
 * May be used for metadata in serialized classes
 * @deprecated Use {@code transient} for fields instead
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.FIELD, ElementType.TYPE})
@Deprecated
public @interface Ignore {
}
