plugins {
    id("commons.library")
}

dependencies {
    implementation("org.slf4j:slf4j-api:2.0.3")
    implementation(project(":"))

    testImplementation("org.junit.jupiter:junit-jupiter-api:5.9.0")
    testRuntimeOnly("org.junit.jupiter:junit-jupiter-engine:5.9.0")
}

publishing {
    publications {
        create<MavenPublication>("maven") {
            groupId = "io.gitlab.jfronny"
            artifactId = "commons-slf4j"

            from(components["java"])
        }
    }
}
