package io.gitlab.jfronny.commons.data.dynamic;

import java.util.function.*;

public interface DCallable extends Dynamic<Function<DList, Dynamic<?>>> {
    default Dynamic<?> call(DList args) {
        return getValue().apply(args);
    }

    default Dynamic<?> call(Dynamic<?>... args) {
        return call(DFinal.of(args));
    }
}
