package io.gitlab.jfronny.commons.data.dynamic;

import io.gitlab.jfronny.muscript.error.LocationalException;

public class DynamicTypeConversionException extends RuntimeException {
    private final String target;

    public DynamicTypeConversionException(String target) {
        super("Could not convert dynamic to " + target);
        this.target = target;
    }

    public LocationalException locational(int character) {
        return new LocationalException(character, target, this);
    }
}
