package io.gitlab.jfronny.muscript;

import io.gitlab.jfronny.commons.data.dynamic.DObject;
import io.gitlab.jfronny.commons.data.dynamic.Dynamic;

import java.util.*;

public record ExpressionParameter(Map<String, Dynamic<?>> value) implements DObject {
    public ExpressionParameter() {
        this(new HashMap<>());
    }

    @Override
    public Map<String, Dynamic<?>> getValue() {
        return value;
    }

    public ExpressionParameter set(String key, Dynamic<?> value) {
        this.value.put(key, value);
        return this;
    }
}
