package io.gitlab.jfronny.muscript.compiler.expr;

import io.gitlab.jfronny.muscript.compiler.*;
import io.gitlab.jfronny.muscript.compiler.expr.dynamic.*;

public abstract non-sealed class BoolExpr extends Expr<Boolean> {
    public BoolExpr(int character) {
        super(character);
    }

    @Override
    public Type getResultType() {
        return Type.Boolean;
    }

    @Override
    public abstract BoolExpr optimize();

    @Override
    public DynamicExpr asDynamicExpr() {
        return new DynamicCoerce(character, this);
    }
}
