package io.gitlab.jfronny.muscript.compiler.expr;

import io.gitlab.jfronny.muscript.compiler.*;
import io.gitlab.jfronny.muscript.compiler.expr.dynamic.*;

public abstract non-sealed class NumberExpr extends Expr<Double> {
    public NumberExpr(int character) {
        super(character);
    }

    @Override
    public Type getResultType() {
        return Type.Number;
    }

    @Override
    public abstract NumberExpr optimize();

    @Override
    public DynamicExpr asDynamicExpr() {
        return new DynamicCoerce(character, this);
    }
}
