package io.gitlab.jfronny.muscript.compiler.expr;

import io.gitlab.jfronny.muscript.compiler.*;
import io.gitlab.jfronny.muscript.compiler.expr.dynamic.*;

public abstract non-sealed class StringExpr extends Expr<String> {
    public StringExpr(int character) {
        super(character);
    }

    @Override
    public Type getResultType() {
        return Type.String;
    }

    @Override
    public abstract StringExpr optimize();

    @Override
    public DynamicExpr asDynamicExpr() {
        return new DynamicCoerce(character, this);
    }
}
