package io.gitlab.jfronny.muscript.test;

import org.junit.jupiter.api.*;

import static io.gitlab.jfronny.muscript.test.MuTestUtil.*;
import static org.junit.jupiter.api.Assertions.*;

public class ObjectTest {
    @Test
    void valueAccess() {
        assertTrue(bool("boolean"));
        assertTrue(bool("object.subvalue > 1000"));
        assertTrue(bool("object.subfunc(2, 4, 8) == 12"));
    }

    @Test
    void arrayAccess() {
        assertTrue(bool("object[1] == 'One'"));
        assertTrue(bool("object['subvalue'] == 1024"));
        assertTrue(bool("object[object2.valuename] == 1024"));
        assertTrue(bool("object2['sub'].val == 10"));
        assertTrue(bool("object2.sub['val'] == 10"));
    }
}
