package io.gitlab.jfronny.commons.log;

import org.slf4j.ILoggerFactory;
import org.slf4j.Logger;

import java.util.HashMap;
import java.util.Map;

public class CommonsLoggerFactory implements ILoggerFactory {
    private final Map<String, Logger> loggerMap = new HashMap<>();

    @Override
    public synchronized Logger getLogger(String name) {
        return loggerMap.computeIfAbsent(name, CommonsLogger::new);
    }
}
