package io.gitlab.jfronny.commons.data.dynamic;

import io.gitlab.jfronny.commons.StringFormatter;

public abstract class DContainer<T> implements Dynamic<T> {
    private T value;

    @Override
    public T getValue() {
        return value;
    }

    public T setValue(T value) {
        if (value != null)
            this.value = value;
        return this.value;
    }

    @Override
    public String toString() {
        return StringFormatter.toString(value);
    }
}
