package io.gitlab.jfronny.muscript.compiler.expr.annotations;

import java.lang.annotation.*;

/**
 * Annotation for expressions that may throw exceptions
 * Any expression that doesn't have this annotation will only throw if an expression referenced from it throws
 */
@Target(ElementType.TYPE)
public @interface CanThrow {
}
