package io.gitlab.jfronny.muscript.test;

import org.junit.jupiter.api.*;

import static io.gitlab.jfronny.muscript.test.MuTestUtil.*;
import static org.junit.jupiter.api.Assertions.*;

public class CallableTest {
    @Test
    void basicFunctionTest() {
        assertEquals(3, number("object.subfunc(0, 1, 2)"));
        assertEquals(18, number("object.subfunc(0, object.subfunc(1, 2, 3), 4)"));
        assertTrue(bool("repeatArgs().repeatArgs().boolean"));
        assertEquals(32, number("function(object.subfunc(0, 1), 5)"));
        assertEquals("<=1.16.5\"", string("object2.stringfunc('<=1.16.5\"')"));
        assertEquals("minecraft", string("object2.stringfunc('minecraft', '<=1.16.5')"));
    }
}
